ldapsdk_java-4.17-src need to support java 1.5 and higher.

UNCONFIRMED
Unassigned

Status

Directory
LDAP Java SDK
UNCONFIRMED
9 years ago
9 years ago

People

(Reporter: wss4j.wei, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; InfoPath.1; .NET CLR 3.0.04506.30; .NET CLR 3.0.04506.648)
Build Identifier: ldapsdk_java-4.17_20020819_src

   [javac]
C:\ldapsdk_java-4.17_20020819_src\mozilla\directory\java-sdk\ldap
jdk\netscape\ldap\LDAPConnection.java:4522: as of release 1.5, 'enum' is a
keyword, and may not be used as an i
dentifier
   [javac] (try -source 1.4 or lower to use 'enum' as an identifier)
   [javac]             Enumeration enum = m_responseControlTable.keys();
   [javac]       

Reproducible: Always

Steps to Reproduce:
1.just do ant compile on Java Directory SDK

Actual Results:  
 [javac]
C:\ldapsdk_java-4.17_20020819_src\mozilla\directory\java-sdk\ldap
jdk\netscape\ldap\LDAPConnection.java:4522: as of release 1.5, 'enum' is a
keyword, and may not be used as an i
dentifier
   [javac] (try -source 1.4 or lower to use 'enum' as an identifier)
   [javac]             Enumeration enum = m_responseControlTable.keys();
   [javac]
You need to log in before you can comment on or make changes to this bug.